<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array(
    'activity'  => 'includes/profile',
    'ban'       => 'includes/profile',
    'edit'      => 'includes/profile',
    'images'    => 'includes/profile',
    'info'      => 'includes/profile',
    'ip'        => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma'     => 'includes/profile',
    'office'    => 'includes/profile',
    'password'  => 'includes/profile',
    'reset'     => 'includes/profile',
    'settings'  => 'includes/profile',
    'stat'      => 'includes/profile',
    'friends'   => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
    */
    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
    echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';

    // Меню анкеты
    $menu = array();
    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
        $menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights > $user['rights']) {
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    }
    if (!empty($menu)) {
        echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
    }

    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
        echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
    }

    // Информация о юзере
    $arg = array(
        'lastvisit' => 1,
        'iphist'    => 1,
        'header'    => '<b>ID:' . $user['id'] . '</b>'
    );

    if ($user['id'] != core::$user_id) {
        $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
    }

    echo '<div class="user"><p>' . functions::display_user($user, $arg) . '</p></div>';
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
    }
/////////STATUS boshi///////////

$yosh_statuslari=mysql_result(mysql_query("SELECT COUNT(*) FROM `yosh_status` WHERE `id_user`='$user[id]'"),0);
$s=mysql_query("SELECT * FROM `yosh_status` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC  LIMIT 1");
$sts_qiymati=mysql_result(mysql_query("SELECT COUNT(*) FROM `yosh_status` where `id_user`=$user[id]"),0);


if ($sts_qiymati==0) {
if ($user['id'] == $user_id) {
echo '<div class="ystatus_t"><form action="'.$home.'/status/?yosh=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
}}

while ($sts = mysql_fetch_assoc($s)){
if ($user['id']==$user_id) {
echo '<div class="ystatus_t"><form action="'.$home.'/status/?yosh=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
echo '<div class="ystatus">'.functions::checkout($sts[name]).'<font style="font-size:11px; color:gray;">&#160;&#160;&#160;'.functions::display_date($sts['time']).'</font></div>';
} else {
echo '<div class="ystatus">'.functions::checkout($sts[name]).'<font style="font-size:11px; color:gray;">&#160;&#160;&#160;'.functions::display_date($sts['time']).'</font></div>';
}
$sts_izoh=mysql_num_rows(mysql_query("select * from yosh_status_kom where type='status' and id_kogo='$sts[id]'"));
echo '<div class="kmenu">
<a href="/status/?yosh=izoh&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/yosh/fikr.png" /> '.$sts_izoh.'</a>';
$ajoyib_sts=mysql_query("SELECT * FROM `yosh_status_klass` WHERE `type`='status' AND `zakogo`='$sts[id]' AND `kto`='$user_id' LIMIT 1");
$sts1=mysql_query("select * from yosh_status where id='$sts[id]' limit 1");
$zor_sts=mysql_fetch_array($sts1);
if($user[id] != $user_id) {
if($user_id and mysql_num_rows($ajoyib_sts)==0 and $user_id!=$user['id']){
echo ' &bull;
<a href="/status/?yosh=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/yosh/klass.png" />'.$zor_sts['ajoyib'].' </a> &bull; <a href="/status/?yosh=klass&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">Klass!</a>';
}else{
$minus='1';
$ok_status=$zor_sts[ajoyib]-$minus;
echo ' &bull;
<a href="/status/?yosh=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/yosh/klass.png" />Siz va '.$ok_status.'</a>';
}
}else{
echo ' &bull;
<a href="/status/?yosh=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/yosh/klass.png" />'.$zor_sts['ajoyib'].' ta!</a>';
}
echo '</div>';
}
/////////STATUS oxiri///////////
require_once('closed.php');
/////////Oxirgi podarkalar//////
$last_gifts  = mysql_query("SELECT * FROM `users_gifts` WHERE `user_id` = '$user[id]' ORDER BY `id` DESC LIMIT 3");
if( mysql_num_rows($last_gifts) > 0) {
echo  '<div class="phpcode">';
while( $gift = mysql_fetch_assoc($last_gifts)) {
$dir ='gifts';
//Задаем параметры ресайза, в нашем случае - ширина и высота
$imageWidth ='32';
$imageHeight ='32';
if( $user['id'] == $user_id)
{
$alt  = (!empty($gift['text']) ? '' . $gift['text'] : $gift['name']);
} else {
if( $gift['type'] == 0)
$alt  = (!empty($gift['text']) ? '' . $gift['text'] : $gift['name']);
else
$alt  = $lng_gifts['privat'];
}
$rgsdimg  = $home .'/image.php?image=/images/'.$dir.'/'. $gift['image'] .'&amp;width='. $imageWidth .'&amp;height='. $imageHeight.'&amp;cropratio=1:1';
$photo ='<img  src="'. $rgsdimg .'" title="'.$alt.'" alt="' . $alt . '"  />';
echo  $photo . '&nbsp;';
}
echo  '</div>';
}

    // Карма
    if ($set_karma['on']) {
        $karma = $user['karma_plus'] - $user['karma_minus'];
        if ($karma > 0) {
            $images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
            echo '<div class="gmenu">';
        } else if ($karma < 0) {
            $images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
            echo '<div class="rmenu">';
        } else {
            $images = 0;
            echo '<div class="menu">';
        }
        echo '<table  width="100%"><tr><td width="22" valign="top"><img src="' . $set['homeurl'] . '/images/k_' . $images . '.gif"/></td><td>' .
            '<b>' . $lng['karma'] . ' (' . $karma . ')</b>' .
            '<div class="sub">' .
            '<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">' . $lng['vote_for'] . ' (' . $user['karma_plus'] . ')</a></span> | ' .
            '<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '">' . $lng['vote_against'] . ' (' . $user['karma_minus'] . ')</a></span>';
        if ($user['id'] != $user_id) {
            if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
                $sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
                if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
                    echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
                }
            }
        } else {
            $total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
            if ($total_karma > 0) {
                echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
            }
        }
        echo '</div></td></tr></table></div>';
    }
    // Меню выбора
	if ($user['id'] != $user_id) {
	if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2 && empty($ban['1']) && empty($ban['3'])) {
            echo '<div class="menu">' . functions::image('write.gif') . '<a href="../mail/index.php?act=write&amp;id=' . $user['id'] . '">Xabar yuborish</a></div>';
        }
	} else {
		    echo '<div class="menu">' . functions::image('write.gif') . '<a href="../mail/index.php?act=input">Xabarlar</a></div>';
		}
    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    $total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
    $total_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_gifts` WHERE `user_id`='{$user['id']}'"), 0);
	echo '' .
        '<div class="menu">' . functions::image('users.png') . '<a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</div>' .
		'<div class="menu">' . functions::image('photo.gif') . '<a href="album.php?act=list&amp;user=' . $user['id'] . '">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</div>' .
        '<div class="menu">' . functions::image('guestbook.gif') . '<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</div>' .
		'<div class="menu">' . functions::image('talk.gif') . '<a href="../status/statuslar.php?id='.$user['id'].'">Statuslari</a> ('.$yosh_statuslari.')</div>';
		'';
		require 'guests.php';
		echo '<div class="menu"><img src="../images/gift.png" width="16" height="16"/>&#160;<a href="/gifts/index.php?act=showall&amp;user=' . $user['id'] . '">Sovg\'alari</a>&#160;(' . $total_gifts . ')</div>' .
        '<div class="menu">' . functions::image('contacts.png') . '<a href="profile.php?act=info&amp;user=' . $user['id'] . '">' . $lng['information'] . '</a></div>' .
        '<div class="menu">' . functions::image('activity.gif') . '<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a></div>' .
        '<div class="menu">' . functions::image('rate.gif') . '<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</a></div>' .
        '<div class="menu"><img src="../images/gift.png" width="16" height="16"/>&#160;<a href="/gifts/index.php?user=' . $user['id'] . '">Sovg\'a yuborish</a></div>';
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);

    if ($bancount) {
        echo '<div class="menu"><img src="../images/block.gif" width="16" height="16"/>&#160;<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div>';
    }
		if ($user['id'] != $user_id) {
        echo '<div class="menu"><p>';
        // Контакты
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2) {
            if (!functions::is_friend($user['id'])) {
                $fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}'"), 0);
                $fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}'"), 0);
                if ($fr_in == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=ok&amp;id=' . $user['id'] . '">Do\stlik taklifini qabul qilish</a> | <a class="underline" href="profile.php?act=friends&amp;do=no&amp;id=' . $user['id'] . '">Rad etish</a>';
                } else if ($fr_out == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=cancel&amp;id=' . $user['id'] . '">Do\'stlik taklifini bekor qilish</a>';
                } else {
                    $friend = '<a href="profile.php?act=friends&amp;do=add&amp;id=' . $user['id'] . '">Do\'stlik taklif qilish</a>';
                }
            } else {
                $friend = '<a href="profile.php?act=friends&amp;do=delete&amp;id=' . $user['id'] . '">Do\'stlardan o\'chirish</a>';
            }
            echo '<div>' . functions::image('add.gif') . $friend . '</div>';
        }

        if (functions::is_contact($user['id']) != 2) {
            if (!functions::is_contact($user['id'])) {
                echo '<div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="../mail/index.php?id=' . $user['id'] . '">Kontaktga qo\'shish</a></div>';
            } else {
                echo '<div><img src="../images/users.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=deluser&amp;id=' . $user['id'] . '">Kontaktdan o\'chirish</a></div>';
            }
        }

        if (functions::is_contact($user['id']) != 2) {
            echo '<div><img src="../images/del.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;add">Qora ro\'yxatga qo\'shish</a></div>';
        } else {
            echo '<div><img src="../images/del.png" width="16" height="16"/>&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;del">Qora ro\'yxatdan olish</a></div>';
        }
        echo '</p>';

        echo '</div>';
    }
}

require_once('../incfiles/end.php');